# Class InlinedAnnotationSupport

java.lang.Object
org.eclipse.jface.text.source.inlined.InlinedAnnotationSupport

public class InlinedAnnotationSupport extends Object
Support to draw inlined annotations:

- line header annotation with `LineHeaderAnnotation`.
- line content annotation with `LineContentAnnotation`.

Since:
  3.13

## Constructor Summary

Constructors
Constructor
Description
`InlinedAnnotationSupport()`

## Method Summary

Modifier and Type
Method
Description
`<T extends AbstractInlinedAnnotation>
T`
`findExistingAnnotation(Position pos)`
Returns the existing codemining annotation with the given position information and null otherwise.
`void`
`install(ISourceViewer viewer, AnnotationPainter painter)`
Install the inlined annotation support for the given viewer.
`void`
`setColor(Color color)`
Set the color to use to draw the inlined annotations.
`void`
`uninstall()`
Unisntall the inlined annotation support
`void`
`updateAnnotations(Set<AbstractInlinedAnnotation> annotations)`
Update the given inlined annotation.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InlinedAnnotationSupport

public InlinedAnnotationSupport()

## Method Details

### install

public void install(ISourceViewer viewer, AnnotationPainter painter)
Install the inlined annotation support for the given viewer.

Parameters:
  `viewer` - the source viewer
  `painter` - the annotation painter to use to draw the inlined annotations.

### setColor

public void setColor(Color color)
Set the color to use to draw the inlined annotations.

Parameters:
  `color` - the color to use to draw the inlined annotations.

### uninstall

public void uninstall()
Unisntall the inlined annotation support

### updateAnnotations

public void updateAnnotations(Set<AbstractInlinedAnnotation> annotations)
Update the given inlined annotation.

Parameters:
  `annotations` - the inlined annotation.

### findExistingAnnotation

public <T extends AbstractInlinedAnnotation> T findExistingAnnotation(Position pos)
Returns the existing codemining annotation with the given position information and null otherwise.

Parameters:
  `pos` - the position
Returns:
  the existing codemining annotation with the given position information and null otherwise.